Firefox on ARM inappropriately adds scroll bars to many frames and images

Bug #443147 reported by Dave Martin on 2009-10-05
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Confirmed
Medium
firefox (Ubuntu)
High
Unassigned
Lucid
High
Registry Administrators
firefox-3.5 (Ubuntu)
Critical
Unassigned
Lucid
Critical
Unassigned

Bug Description

Binary package hint: firefox-3.5

Firefox inappropriately adds scroll bars to many frames and images, causing many pages to look ugly / broken.

I don't whether this problem is specific to armel or to certain display driver / resolution combinations. I haven't seen any similar problem on recent x86 versions of firefox yet, but maybe I haven't managed to reproduce the required set of circumstances.

See the attached examples
   * firefox-1.png (http://www.yahoo.com/) - see the redundant horizontal scrollbar on the lefthand sidebar in the web page, and the scrollbars on the "Today's top searches" box -- if you scroll the top searches box right you just see white space.
   * firefox-2.png (http://www.ubuntu.com/) - see the "Ubuntu cloud computing" logo in the top right.

ProblemType: Bug
Architecture: armel
Date: Mon Oct 5 15:18:23 2009
DistroRelease: Ubuntu 9.10
Package: firefox 3.5.3+build1+nobinonly-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-101.9-imx51
SourcePackage: firefox-3.5
Uname: Linux 2.6.31-101-imx51 armv7l
XsessionErrors:
 (gnome-settings-daemon:1539): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1539): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:1593): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:1615): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Dave Martin (dave-martin-arm) wrote :
Dave Martin (dave-martin-arm) wrote :
Paul Larson (pwlars) wrote :

I can also see this easily on my imx51 install, especially with the whatisubuntu page. mine actually looks slightly worse, as it has another scrollbar that Dave didn't have in his screenshot with a greyed-out, unusable scrollbar in the middle.

Changed in firefox-3.5 (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
tags: added: iso-testing

on ubuntu/lucid on armel with firefox-3.6 we get scrollbars for frames.

checkout downstream bug
https://bugs.edge.launchpad.net/ubuntu/+source/firefox/+bug/443147

CCed roc and vlad on this. Wild guess would be that this is related to some rounding bug somewhere that causes frames to become smaller than expected and gecko compensating this by adding frames.

That is weird.

I guess I need some device I don't have to try one of these builds? Could a Nokia N900 run one of your builds?

If not, you can find me on IRC and I'd be happy to walk you through debugging this.

A reduced testcase would be a good start.

Hmm, I only have 3.5 on armel, ubuntu 9.04, and I don't see this there. Is there a deb of 3.6 that I can download that has a chance of installing on 9.04?

Has there been any update on this?

The problem still seems to exist, and I've observed it on a few different armel platforms.

I'm not sure whether the priority should really be "medium" -- it makes some high-profile websites such as Google Maps virtually unusable...

Dave Martin (dave-martin-arm) wrote :

Reconfirmed in

firefox 3.6+nobinonly-0ubuntu6
xulrunner-1.9.1 1.9.1.8+build1+nobinonly-0ubuntu1

Dave Martin (dave-martin-arm) wrote :

This bug should also be raised against firefox-3.6 but I can't (launchpad says "u'Package firefox-3.6 not published in Ubuntu'")

Loïc Minier (lool) wrote :

It's just "firefox" for the 3.6 version.

Changed in firefox:
status: Unknown → Confirmed

(In reply to comment #3)
> Hmm, I only have 3.5 on armel, ubuntu 9.04, and I don't see this there. Is
> there a deb of 3.6 that I can download that has a chance of installing on 9.04?

let me try to make one available. might take a few hours (if it compiles at all ;))

latest firefox 3.6 builds for jaunty, karmic and lucid are available in my ppa:

https://edge.launchpad.net/~asac/+archive/armel2/

Created an attachment (id=434831)
For reference, armel reftest failures on 1.9.1

It sounds like the same problem as most of the reftests failures I get on armel with 1.9.1.

Unsurprisingly, the same reftests fail with 1.9.2 (plus some more of the new reftests)

Bumped to Critical, as this breaks a LOT of websites, and is visible on almost everyone and makes firefox close to unusable on the sites it breaks.

Changed in firefox-3.5 (Ubuntu):
importance: Medium → Critical
summary: - Firefox inappropriately adds scroll bars to many frames and images
+ Firefox on ARM inappropriately adds scroll bars to many frames and
+ images
Changed in firefox (Ubuntu):
importance: Undecided → Critical
status: New → Triaged
Paul Larson (pwlars) on 2010-03-31
Changed in firefox-3.5 (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
John Vivirito (gnomefreak) wrote :

This should be fixed in 3.6 not 3.5 as all supported Ubuntu releases will receive the same version most stable up to date versions but non the less should be fixed

Changed in firefox-3.5 (Ubuntu Lucid):
status: Triaged → Won't Fix
John Vivirito (gnomefreak) wrote :

for reasons above. also Lucid doesn't have 3.5 in it

Changed in firefox-3.5 (Ubuntu):
status: Triaged → Won't Fix
Changed in firefox (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
Steve Langasek (vorlon) on 2010-04-08
Changed in firefox (Ubuntu Lucid):
importance: Critical → High
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04

vlad, were you able to try the builds i provided on your system?

Martin Pitt (pitti) on 2010-04-09
Changed in firefox-3.5 (Ubuntu):
milestone: ubuntu-10.04-beta-2 → none
Changed in firefox-3.5 (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-2 → none
Martin Pitt (pitti) on 2010-04-09
Changed in firefox (Ubuntu Lucid):
assignee: nobody → Canonical Mobile Team (canonical-mobile)
Steve Langasek (vorlon) on 2010-04-22
Changed in firefox (Ubuntu Lucid):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 3.6.3+nobinonly-0ubuntu4

---------------
firefox (3.6.3+nobinonly-0ubuntu4) lucid; urgency=low

  * fix LP: #443147 - Firefox on ARM inappropriately adds scroll bars to many
    frames and images; this is a workaround that forces -O2 for the whole
    mozilla tree build on armel; the scroll bar only manifests on lucid toolchain
    when using the upstream optimization flag mix
    - update debian/rules
 -- Alexander Sack <email address hidden> Wed, 21 Apr 2010 17:14:28 +0200

Changed in firefox (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in firefox (Ubuntu):
status: Fix Released → Incomplete
Paul Larson (pwlars) wrote :

@frode - This bug has been confirmed to be fixed. If you have some reason why you believe it is not, please explain further when changing the status, or better yet, open a new bug.

Changed in firefox (Ubuntu):
milestone: ubuntu-10.04 → none
status: Incomplete → Fix Released
Changed in firefox:
importance: Unknown → Medium
Curtis Hovey (sinzui) on 2011-04-06
Changed in firefox (Ubuntu):
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.